Skip to main content
POST
/
search
curl --request POST \ --url https://api.managem.co.uk/search \ --header 'Content-Type: application/json' \ --data ' { "query": "pokemon", "size": 2 } '
{ "total": 4217, "hits": [ { "urn": "urn:managem:pokemon:set/miscellaneous/product/pokemon-stacking-tin-paradox-pokemon-a4cf2283", "type": "product", "game": "Pokemon", "title": "Miscellaneous: Pokemon Stacking Tin: Paradox Pokemon", "name": "Pokemon Stacking Tin: Paradox Pokemon", "classification": "BOX", "count": 1, "description": "Stack 'Em High! Choose a tin with powerful Pokemon from Paldea or Kitakami.", "images": [ { "urn": "urn:managem:pokemon:set/miscellaneous/product/pokemon-stacking-tin-paradox-pokemon-a4cf2283/image/0", "orientation": "portrait", "url": "https://images.managem.co.uk/urn:managem:pokemon:set/miscellaneous/product/pokemon-stacking-tin-paradox-pokemon-a4cf2283/image/0" } ], "series": { "name": "Miscellaneous", "urn": "urn:managem:pokemon:series/miscellaneous" }, "set": { "name": "Miscellaneous", "urn": "urn:managem:pokemon:set/miscellaneous", "counts": { "printed": 0, "total": 0 }, "symbol": { "url": "https://images.managem.co.uk/7722e2a1-df84-41ff-9c0f-41b82b144500" }, "references": [] }, "available": 0, "quantity": 0, "slug": "pokemon/product/miscellaneous/pokemon-stacking-tin-paradox-pokemon-a4cf2283" } ], "facets": { "Game": { "Pokemon": 4203, "Magic: The Gathering": 14 }, "Product Type": { "card": 2589, "product": 1628 }, "Set": { "151": 63, "Miscellaneous": 564, "Pokemon GO": 125 }, "Availability": { "In Stock": 120 }, "Price": { "Under £1": 118, "£1-£10": 2, "£10-£20": 0, "£20-£50": 0, "£50-£100": 0, "Over £100": 1 } } }

Body

application/json

A search query includes a free text query property, refinements in the form of facets, pagination controls and optional sorting.

query
string

One or more free text search terms

filters
object[]
facets
object

Facets to refine the search results. Values are case-sensitive unless noted otherwise.

from
number | null
default:0

Offset for pagination

size
number
default:25

Number of results to return

Required range: 1 <= x <= 50
sorting
object

Sort results by field and order

Response

200 - application/json

Search items and available facets

total
number
required
hits
object[]
required
facets
object
required